@import "~/src/sass/variables.sass"


.settings-button
  transition-duration: 100ms

  .linear-icon, .filled-icon
    position: absolute

    transform: rotate(0deg) scale(1)

    transition: all 180ms ease-in-out


  .linear-icon
    opacity: 1
  .filled-icon
    opacity: 0

  &.pressed
    .linear-icon
      opacity: 0
      transform: rotate(90deg) scale(0.95)
    .filled-icon
      opacity: 1
      transform: rotate(90deg) scale(0.95)